DCloud_云服务_moyang
DCloud_云服务_moyang
  • 发布:2024-04-16 20:08
  • 更新:2024-05-27 11:13
  • 阅读:7202

uni-app x 3端发布;插件大赛获奖名单公布;uni-app立项启动鸿蒙系next支持;iOS隐私清单配置(上架必须);uniCloud阿里云版Nodejs8终止支持;uni一键登录SDK升级

分类:ASK社区

uni-app x 3端正式发布

随着4.14正式版发布,uni-app x的Web、Android、iOS均已上线。详见

欢迎阅读评测报告,了解uni-app x为何是性能最好的跨平台框架。详见

2023底举办的插件大赛圆满结束

本次插件大赛在数千名候选插件中,评选出了82个优秀插件。这些插件为uni-app x的生态做出重要的贡献。
至此,大部分常见插件在uni-app x中均已提供。

获奖名单详见:https://ask.dcloud.net.cn/article/40812

uni-app 立项启动鸿蒙next支持

uni-app 团队已立项启动鸿蒙next的兼容支持工作,预计2024年7月初发布Alpha版本。

由于vue2和weex已经不再维护,uni-app的鸿蒙next版本也不会包含相关技术:

  • 建议vue2的开发者尽快将升级到 vue 3 版本。
  • nvue的开发者尽快升级到uni-app x 版本。

关于 App Store 提交的隐私更新

Appstore要求2024年5月1日以后提交的包,都必须包含隐私清单。
Apple公告另见:关于 App Store 提交的隐私更新

使用 Transporter 工具上传到 AppStore 会提示以下警告:

ITMS-91053: Missing API declaration - Your app’s code in the “HBuilder” file references one or more APIs that require reasons, including the following API categories: NSPrivacyAccessedAPICategoryFileTimestamp. While no action is required at this time, starting May 1, 2024, when you upload a new app or app update, you must include a NSPrivacyAccessedAPITypes array in your app’s privacy manifest to provide approved reasons for these APIs used by your app’s code. For more details about this policy, including a list of required reason APIs and approved reasons for usage, visit: https://developer.apple.com/documentation/bundleresources/privacy_manifest_files/describing_use_of_required_reason_api.

此警告只是提示信息,在2024年5月1日前仍可继续提交 AppStore。

2024年4月24号起,云打包支持隐私清单配置。

  • uni-app、5+App项目请更新到HBuilderX4.08及以上版本,重新提交云端打包
  • uni-app x项目需更新到HBuilderX4.13及以上版本重新提交云端打包

配置方法教程:详见

离线打包和uni小程序sdk也见上面的链接。

uniCloud阿里云版Nodejs8终止支持

uniCloud阿里云版服务空间云函数运行时目前支持Nodejs8、Nodejs12、Nodejs14、Nodejs16四个版本。接阿里云通知,其中Nodejs8即将终止支持,计划如下:

版本 终止支持阶段一:禁止新建 终止支持阶段二:禁止新建和更新
Node.js8 2024年06月01日 2024年09月01日

终止支持仅影响运行时为Nodejs8的云函数更新,不影响已有云函数继续运行,建议您及时升级到更高的版本。

所有已部署到服务空间的云函数(并非公共模块)均需开发者自行升级,升级方式:修改云函数package.jsoncloudfunction-config节点下的runtime,然后重新上传云函数。如果云函数的package.json没有cloudfunction-config相关配置,可参考文档进行添加,点此查看相关文档

uni一键登录SDK升级

接到联通运营商通知,旧版联通一键认证SDK将于2024年5月31日正式下线。
之前我们已经发布过升级公告,另见:uni一键登录SDK升级公告 。如果您已经使用HBuilderX3.99及以上版本重新打包并发布了一键登录的App,请忽略此公告。

5 关注 分享
1***@163.com w***@qq.com k***@aliyun.com 4***@qq.com 弄月

要回复文章请先登录注册

贾龙晓

贾龙晓

一键登录审核多久啊
2024-05-27 11:13
易哈佛小麦

易哈佛小麦

5+离线打包模式,会支持鸿蒙Next吗?
2024-05-27 10:06
2***@qq.com

2***@qq.com

鸿蒙是不支持Vue2嘛?我的项目就是Vue2开发的,那是一定要升级成Vue3才可以打包成鸿蒙不
2024-05-24 16:56
老哥教教我

老哥教教我

把华为应用内支付集成上
2024-05-14 15:49
仓鼠打酱油

仓鼠打酱油

请问下怎么申请鸿蒙next的兼容体验?
2024-05-14 11:51
syczuan

syczuan

回复 syczuan :
苹果邮件提示NSPrivacyAccessedAPICategoryDiskSpace、NSPrivacyAccessedAPICategoryFileTimestamp、NSPrivacyAccessedAPICategorySystemBootTime、NSPrivacyAccessedAPICategoryUserDefaults需要添加到隐私清单,uniapp文档上说云打包会自动配置框架用到的,不需要手动配置,仅邮件上提示的这些我在下次打包时还需要配置隐私清单吗,这些是不是云打包会处理。邮件提示这些缺少的API声明,是不是因为在当时uniapp还没更新云打包自动配置隐私清单
2024-05-09 15:55
syczuan

syczuan

有个问题,4月份我提交了一个app更新,然后苹果邮件提示
2024-05-09 15:49
DCloud_iOS_WZT

DCloud_iOS_WZT

回复 1***@qq.com :
优量汇提供的隐私清单不规范导致的,已更新了新的隐私清单,重新打包试下
2024-05-06 16:33
1***@qq.com

1***@qq.com

回复 1***@qq.com :
你好,我这个需要怎么配置啊
2024-05-04 01:00
1***@qq.com

1***@qq.com

回复 DCloud_App_Array :
ITMS-91064: Invalid tracking information - A PrivacyInfo.xcprivacy file contains invalid tracking information at the following path: “PrivacyInfo.xcprivacy”. NSPrivacyTracking must be true if NSPrivacyTrackingDomains isn‘t empty. Keys and values in your app’s privacy manifest must be valid. For more details about privacy manifest files, visit:
2024-05-04 00:59